header: sys-stat.h
macros: []
types:
  - type_name: blkcnt_t
  - type_name: blksize_t
  - type_name: off_t
  - type_name: struct_timeval
  - type_name: gid_t
  - type_name: struct_stat
  - type_name: uid_t
  - type_name: nlink_t
  - type_name: dev_t
  - type_name: struct_timespec
  - type_name: ino_t
  - type_name: mode_t
enums: []
objects: []
functions:
  - name: chmod
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: const char *
      - type: mode_t
  - name: fchmod
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: int
      - type: mode_t
  - name: fchmodat
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: int
      - type: const char *
      - type: mode_t
      - type: int
  - name: fstat
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: int
      - type: struct stat *
  - name: lstat
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: const char *__restrict
      - type: struct stat *__restrict
  - name: mkdir
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: const char *
      - type: mode_t
  - name: mkdirat
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: int
      - type: const char *
      - type: mode_t
  - name: stat
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: const char *__restrict
      - type: struct stat *__restrict
